glab(1)

NAME

glab-snippet-create - Create new snippet

SYNOPSIS

glab snippet create [path] [flags]

DESCRIPTION

Create new snippet

OPTIONS

-d, --description=""
    Description of the snippet

-f, --filename=""
    Filename of the snippet in GitLab

-t, --title=""
    Title of the snippet

-v, --visibility="private"
    Limit by visibility {public, internal, or private}

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab snippet create script.py --title "Title of the snippet"
    echo "package main" | glab snippet new --title "Title of the snippet" --filename "main.go"
    glab snippet create main.go -t Title -f "different.go" -d Description

SEE ALSO

glab-snippet(1)